Bug 247134 - rpcbind missing Requires(pre)
Summary: rpcbind missing Requires(pre)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpcbind (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-05 16:19 UTC by Ed Swierk
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.1.4-8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 19:02:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed Swierk 2007-07-05 16:19:42 UTC
rpcbind fails to install if /usr/sbin/userdel, /usr/sbin/groupdel,
/usr/sbin/groupadd or /usr/sbin/useradd is missing when the %pre scriptlet runs:

error: %pre(rpcbind-0.1.4-6.fc7.i386) scriptlet failed, exit status 127
error:   install: %pre scriptlet failed (2), skipping rpcbind-0.1.4-6.fc7

These dependencies should be declared with Requires(pre) in the spec file.

Comment 1 Steve Dickson 2007-09-15 17:29:16 UTC
Fixed in rpcbind-0.1.4-8.fc7

Comment 2 Fedora Update System 2007-09-18 22:31:05 UTC
rpcbind-0.1.4-8.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-10-29 19:02:14 UTC
rpcbind-0.1.4-8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.